CoreContainer.Initializer (Solr 3.6.2 API)
Keywords: org.apache.solr.core.CoreContainer.Initializer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.core
Class CoreContainer.Initializer

    java.lang.Object
      org.apache.solr.core.CoreContainer.Initializer

Enclosing class:
  CoreContainer

    public static class CoreContainer.Initializer

extends Object

Field Summary
`protected boolean` | `abortOnConfigurationError`
`protected String` | `solrConfigFilename`

Constructor Summary
`CoreContainer.Initializer()`

Method Summary
`String` | `getSolrConfigFilename()`
`CoreContainer` | `initialize()`
`boolean` | `isAbortOnConfigurationError()`
`void` | `setAbortOnConfigurationError(boolean abortOnConfigurationError)` Note for no good reason what so ever, this method has only ever influenced the default behavior of "single core" mode.
`void` | `setSolrConfigFilename(String solrConfigFilename)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### solrConfigFilename

    protected String solrConfigFilename

### abortOnConfigurationError

    protected boolean abortOnConfigurationError

Constructor Detail

### CoreContainer.Initializer

    public CoreContainer.Initializer()

Method Detail

### isAbortOnConfigurationError

    public boolean isAbortOnConfigurationError()

### setAbortOnConfigurationError

    public void setAbortOnConfigurationError(boolean abortOnConfigurationError)

  Note for no good reason what so ever, this method has only ever influenced the default behavior of "single core" mode. when using solr.xml values specified this way are ignored, and false is the default. initialize() will modify this value.

### getSolrConfigFilename

    public String getSolrConfigFilename()

### setSolrConfigFilename

    @Deprecated
    public void setSolrConfigFilename(String solrConfigFilename)

  Deprecated.

### initialize

    public CoreContainer initialize()
                             throws IOException,
                                    ParserConfigurationException,
                                    SAXException

  Throws:
    `IOException`
    `ParserConfigurationException`
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD